#include <iostream>
using namespace std;

enum rez{TAK, NIE};
typedef unsigned int uint;
typedef unsigned long long int ullint;

int main()
{
    uint brojSlucajeva;
    cin >> brojSlucajeva;

    uint brojUcenika[brojSlucajeva];
    ullint brojBananica[brojSlucajeva];
    uint brojGrupa[brojSlucajeva];
    rez slucajevi[brojSlucajeva];

    for(uint i = 0; i < brojSlucajeva; i++){
        ullint t;
        cin >> t;
        brojUcenika[i] = t;

        cin >> t;
        brojBananica[i] = t;

        cin >> t;
        brojGrupa[i] = t;
    }

    for(uint i = 0; i < brojSlucajeva; i++){
        if(brojUcenika[i] < brojGrupa[i] || brojUcenika[i] > brojBananica[i]){
            slucajevi[i] = NIE;
            continue;
        }

        uint ucenika = brojUcenika[i] / brojGrupa[i];
        uint dodatniUcenici = brojUcenika[i] % brojGrupa[i];
        ullint bananica = (ucenika * (ucenika + 1)) / 2;
        ullint dodatneBananice = ucenika + 1;

        bananica *= brojGrupa[i];
        bananica = bananica + ((dodatneBananice) * dodatniUcenici);

        if(bananica > brojBananica[i]){
            slucajevi[i] = NIE;
        }else{
            slucajevi[i] = TAK;
        }
    }

    for(uint i = 0; i < brojSlucajeva; i++){
        cout << (slucajevi[i] == TAK ? "Tak" : "Nie") << endl;
    }
    return 0;
}